//
// Created by Tristan Juricek on 9/22/15.
//

#ifndef FSCLIENT_DIRHANDLE_H
#define FSCLIENT_DIRHANDLE_H

#include <dirent.h>
#include <sys/types.h>
#include <stddef.h>

typedef struct DirHandle
{
    DirHandle(DIR *dir)
            : dir(dir), entry(NULL), offset(0)
    { }

    DIR * dir;
    struct dirent * entry;
    off_t offset;
} DirHandle;

#endif //FSCLIENT_DIRHANDLE_H
